Bug 544473 - enchant must not provide /usr/lib/libenchant.so
enchant must not provide /usr/lib/libenchant.so
Product: Fedora
Classification: Fedora
Component: enchant (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Marc Maurer
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2009-12-04 18:49 EST by Adam Miller
Modified: 2010-01-04 18:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-01-04 18:03:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch for midori 0.2.1 (689 bytes, patch)
2009-12-12 14:41 EST, Michael Schwendt
no flags Details | Diff

  None (edit)
Description Adam Miller 2009-12-04 18:49:08 EST
Description of problem:
enchant package does not provide /usr/lib/libenchant.so only enchant-devel does

Version-Release number of selected component (if applicable):
Comment 1 Marc Maurer 2009-12-05 06:26:49 EST
Fixed in rawhide (/me wonders where the RAWHIDE bz state went...)
Comment 2 Michael Schwendt 2009-12-11 14:48:47 EST
What is the background for this request?

It is wrong for that symlink to be put into the base "enchant" package.
Comment 3 Adam Miller 2009-12-12 14:03:44 EST
Without the libenchant.so in the enchant package, the in line spell checking in Midori 0.2.1 does not work.
Comment 4 Michael Schwendt 2009-12-12 14:41:10 EST
Created attachment 377916 [details]
patch for midori 0.2.1

Then that's a bug in Midori 0.2.1 as it ought to open libenchant.so.1 instead, because it is made for a specific API, and libenchant.so.1 is the current interface provided in Fedora.

libenchant.so is just a symlink used at build-time (for linking with -lenchant). It is not even guaranteed that it points at libenchant.so.1 at run-time, as enchant-devel is an optional package and an alternative package (imagine enchant2-devel e.g.) may link libenchant.so to libenchant.so.2, which may be incompatible.
Comment 5 Adam Miller 2009-12-13 17:35:31 EST
static GList*
midori_preferences_get_spell_languages (void)
 //  <SNIP>

   if (!enchant_broker_list_dicts && g_module_supported ())
       GModule* module;
       if (!(module = g_module_open ("libenchant.so", G_MODULE_BIND_LOCAL)))
           return NULL;

// <SNIP>

Verified as a bug in midori, I will work with upstream to fix this and then push a new update out. Many thanks to those who helped with this and I apologize for time lost.

Closing as NOTABUG.
Comment 6 Michael Schwendt 2009-12-14 03:35:55 EST
Reopening as long as enchant needs to revert the change.
Comment 7 Michael Schwendt 2010-01-04 18:03:59 EST
Reverted in enchant-1_5_0-5_fc13.

Note You need to log in before you can comment on or make changes to this bug.